.margin {
  &--top-50 {
    margin-top: 50px !important ;
  }
  &--top-20 {
    margin-top: 20px !important;
  }
  &--top-30 {
    margin-top: 30px;
  }
  &--top-100 {
    margin-top: 100px !important;
  }
  &--bottom-50 {
    margin-bottom: 50px;
  }
  &--bottom-20 {
    margin-bottom: 20px;
  }
  &--bottom-100 {
    margin-bottom: 100px;
  }
}

.padding {
  &--all-25 {
    padding: 25px;
  }
  &--left-25 {
    padding-left: 25px;
  }
  &--right-25 {
    padding-right: 25px;
  }
  &--top-50 {
    padding-top: 50px;
  }
  &--top-20 {
    padding-top: 20px;
  }
  &--top-100 {
    padding-top: 100px;
  }
  &--top-200 {
    padding-top: 200px;
  }
  &--bottom-50 {
    padding-bottom: 50px;
  }
  &--bottom-20 {
    padding-bottom: 20px;
  }
  &--bottom-100 {
    padding-bottom: 100px;
  }
}

.space-between {
  display: flex;
  justify-content: space-between;
}

.center {
  display: flex;
  justify-content: center;
  text-align: center;
  margin: 20px auto 0 auto;
}

.center-title {
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}

.center-vertical {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-content: flex-start;
  align-items: center;
}

.width {
  &--five {
    width: 5%;
  }
  &--one-quarter {
    width: 25%;
  }

  &--one-third {
    width: 33%;
  }

  &--half {
    width: 50%;
  }

  &--three-quarter {
    width: 75%;
  }

  &--full {
    width: 100%;
  }
}

.flex {
  display: flex;
}
.block .min-height {
  &--500 {
    min-height: 500px;
  }
}

.display-flex {
  display: flex;
  &--bottom {
    justify-content: flex-end;
    flex-direction: column;
  }
}

// mettre un shadowsur un élément
.normal {
  &.shadow,
  &:hover {
    -moz-box-shadow: 0px 34px 57px -8px rgba(104, 113, 113, 1);
    -webkit-box-shadow: 0px 34px 57px -8px rgba(104, 113, 113, 1);
    box-shadow: 0px 34px 57px -8px rgba(104, 113, 113, 1);
  }
}

.parent {
  display: relative;
}
